AppletStub (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.applet
Interface AppletStub

public interface AppletStub

When an applet is first created, an applet stub is attached to it using the applet's `setStub` method. This stub serves as the interface between the applet and the browser environment or applet viewer environment in which the application is running.

Since:
  JDK1.0
See Also:
  `Applet.setStub(java.applet.AppletStub)`

Method Summary
`void` | `appletResize(int width, int height)` Called when the applet wants to be resized.
`AppletContext` | `getAppletContext()` Gets a handler to the applet's context.
`URL` | `getCodeBase()` Gets the base URL.
`URL` | `getDocumentBase()` Returns an absolute URL naming the directory of the document in which the applet is embedded.
`String` | `getParameter(String name)` Returns the value of the named parameter in the HTML tag.
`boolean` | `isActive()` Determines if the applet is active.

Method Detail

### isActive

    public boolean isActive()

  Determines if the applet is active. An applet is active just before its `start` method is called. It becomes inactive just before its `stop` method is called.

  Returns:
    `true` if the applet is active; `false` otherwise.

### getDocumentBase

    public URL getDocumentBase()

  Returns an absolute URL naming the directory of the document in which the applet is embedded. For example, suppose an applet is contained within the document:

  >         http://java.sun.com/products/jdk/1.2/index.html

  The document base is:

  >         http://java.sun.com/products/jdk/1.2/

  Returns:
    the `URL` of the document that contains this applet.
  See Also:
    `getCodeBase()`

### getCodeBase

    public URL getCodeBase()

  Gets the base URL.

  Returns:
    the `URL` of the applet.

### getParameter

    public String getParameter(String name)

  Returns the value of the named parameter in the HTML tag. For example, if an applet is specified as

  >      <applet code="Clock" width=50 height=50>
  >      <param name=Color value="blue">
  >      </applet>

  then a call to `getParameter("Color")` returns the value `"blue"`.

  Parameters:
    `name` - a parameter name.
  Returns:
    the value of the named parameter, or `null` if not set.

### getAppletContext

    public AppletContext getAppletContext()

  Gets a handler to the applet's context.

  Returns:
    the applet's context.

### appletResize

    public void appletResize(int width,
                             int height)

  Called when the applet wants to be resized.

  Parameters:
    `width` - the new requested width for the applet.
    `height` - the new requested height for the applet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.